I just released 24.03. It's been long while, and a lots of development. Let's break down the new release and 
talk about the new development that has been going on!

## MatterLinux Package Manager 24.21
MatterLinux Package Manager (`mp`) got a full rework with the 24.20 update, changing the way that repos work 
and how the file database handled. **Because of this old installs/releases are completely broken.** You should
reinstall if you are on an old release. I will try not to break the entire package system next time :) but you know
MatterLinux project is in a development state, so you should not expect the most stable system of all time.

But anyway, here are all the changes in 24.21:
- Added support for the `keep` option to save configuration files on package removal and updates
- Improved logging (colors, status bar etc)
- An actual implementation for the debug option
- Better performance, especially while installing/updating packages

## Tons of new packages
Packages that have been long awaiting in the development repos finally moved into the stable repos! These packages 
include Librewolf, Epiphany, i3 and bunch of others. Now we got around ~530 packages (previously it was around ~480) in 
the official repos.

## Renaming repos... again
Recently, `pkgs.matterlinux.xyz` was renamed to `24.matterlinux.xyz`, to keep different version repos separate. However
since I decided to take a more rolling approach to the packaging, I renamed repo URLs back to `pkgs.matterlinux.xyz`.
I also removed version EOL information on the download page as we won't be supporting multiple versions at the same time.
This does NOT mean that when MatterLinux 25 drops, you will have to do a reinstall. No, all you need to is a full update 
with the update tool we will provide, and you will be fine!

## New security tracker
I have created a security tracker for tracking/reporting general package security. Like all the other web applications
of MatterLinux, its written in Go, using Fiber. I have also created the first few security issues, 
[go check them out](https://security.matterlinux.xyz/).

## New hosting
Previously I was hosting all the MatterLinux stuff on my personal server, but as of yesterday all MatterLinux stuff 
moved to it's own separate server. This mainly to prevent downtime issues. However this change may make the repos
slower, as the new server does not have the as good connection as my personal server.

## What's next?
As always I will keep expanding the repos. Previously I mentioned that I'm planning to create an installer, however
that will need to wait, as I'm planning to do a huge change to the one of the core system components. I think you 
might be guessing what I am talking about...

Anyway, that will be all for now, see you in the next one!
