Packages in the official MatterLinux pools (should) follow these guidelines:

- **Packaged software should be free or/and open source**: Proprietary software won't be included
to the pools. No exceptions. If you find a proprietary software package in the official pools,
please create an issue or a pull request on the related Git repository to remove the package.
- **Packaged software should be stable**: Software known to be unstable will not packaged,
if the stability is related to the version of the software, we may package a different/patched
version of the software.
- **Packaged software should be secure**: Outdated software that has critical vulnerabilities 
will not be packaged.
- **Packaged software should be (somewhat) popular**: No, we are not gonna package some random window 
manager that only has 3 users and was last updated in 1993.

The following software packages will **NOT** be added, so do not waste your time with PRs or issues:
- DWM or other Suckless tools that are configured using header files 
- Any Wayland only window managers ("compositors"), status bars, terminals etc. We only have Weston which used for testing the Wayland environment
- Other init systems (`dinit`, `runit` etc.) 
- Non-libre kernel
- Other third-party package managers (apt, dnf, pacman etc.), however containerized package managers can
be packaged (except for snap, f*%#! snap)
