## Details
MatterLinux is a tiny, independent, [free/libre](https://www.gnu.org/philosophy/free-sw.html) and 
[open source](https://opensource.com/resources/what-open-source) GNU/Linux distribution 
for `x86_64` (or `amd64`) systems. It has its own package management system and its own package repos. 
All source code for MatterLinux is licensed under GPLv3 and available on the 
[MatterLinux Gitea](https://git.matterlinux.xyz/Matter).

## Goals & Status 
The ultimate goal is to create a tiny and simple, yet still usable GNU/Linux system 
from the scratch. So the project is not based on any other distribution.

As of now, MatterLinux is under development and it's looking for new developers and 
contributors. If you are interested you can follow the development of the project over on Gitea,
here is a rough roadmap:

<ul>
    <li><k class="green">>>></k> Package system</li> 
    <li><k class="green">>>></k> Website</li> 
    <li><k class="green">>>></k> Official repos (<code>base</code> and <code>desktop</code>)</li> 
    <li><k class="green">>>></k> Wiki/documentation</li>
    <li><k class="green">>>></k> First release</li>
    <li><k class="green">>>></k> Expanding <code>desktop</code> repo (100 packages)</li> 
    <li><k class="green">>>></k> Expanding <code>desktop</code> repo (300 packages)</li> 
    <li><k class="blue">>>></k> Expanding the wiki</li> 
    <li><k class="blue">>>></k> Expanding <code>desktop</code> repo (500 packages)</li> 
    <li><k class="red">>>></k> TUI/GUI installer</li> 
</ul>

## Contributing
Currently active contributors are:

- (Maintainer) ngn | [Email](mailto:ngn@ngn.tf) [PGP](https://keys.openpgp.org/pks/lookup?op=get&options=mr&search=0xF9E70878C2FB389AEC2BA34CA3654DF5AD9F641D)

Consider helping out if you are interested in this project.
To do so, check out the [contribution guide](/wiki/contribute). If have any questions/problems
feel free to join the [chat rooms](/wiki/chat) and ask them to the maintainer/developers.
