It has been a (lazy) month since the latest release - and here we are with the new 24.04 release! 
And I a got some new cool stuff for you, so let's get started.

## MatterLinux configuration manager
I wrote a new tool, which allow you to install easily install configuration files (a.k.a. dotfiles).
You see, I always wanted to ship a customized environment with MatterLinux. The only way to do that
was to ship all the packages with a custom default configuration. However there is two problems with
this:
1. It's really hard to find and modify default configuration files for all the packages I want to
modify, and some of the packages don't even ship a default configuration.
2. Some users may prefer the out-of-the-box configurations instead of the custom configurations.

To solve this problem I decided to ship configuration packages. Well the problem with that is
I cannot do that with `mp`, as the most of these programs require configurations to be installed to
current user's home directory. Well, instead of expanding `mp`, I created a new tool: MatterLinux configuration
manager or `mc`.

Yeah I really suck at naming things.

Anyway, `mc` is now in the desktop repo, to learn more about it, [check out this new wiki page](/wiki/mc).
But this brings a new problem to the table. How do I ship different configs? Well, this brings us to the next
topic...

## Config Hub!
I added a new section to MatterLinux's [website](https://git.matterlinux.xyz/Matter/website), called [config hub](/hub).
It like a list of official configuration packages, that you can install with `mc`. Currently there is only
one config, and it's called "messier87". It's an i3 window manager configuration, but I plan to add more
to the list.

Also if you are good at ricing, consider creating your own configurations and create a [pull request](https://git.matterlinux.xyz/Matter/content/pulls)
to add them to the cofig hub.

## Other stuff
- Since last month I added 50 more packages to the desktop repo, mostly python packages which are were required
for polybar.
- I added colors to xcfg. With the new xcfg 24.07, you should get a better visual experience.
- Updated kernel to 6.7

## What's next?
I talked about a huge change to he one of the core system components last time. Well, that change is pretty much cancelled.
So instead I might (maybe, IDK) work on the installer. Or I may work package other configurations for the config hub. And, yeah,
I will also expand the repos, adding more desktop environment stuff.

So that will be it for now. See you in the next post!
