You can use this page as a catalog, it will let you discover other pages. If you want to
edit a page or create a new page, make a [pull request](/wiki/contribute) to [content](https://git.matterlinux.xyz/matter/content) repository.

## Installation
| Name                                    | Description                                     |
| --------------------------------------- | ----------------------------------------------- |
| [Introduction](/wiki/intro)             | Learn about MatterLinux and other general stuff | 
| [Installation](/wiki/install)           | Learn how to install a base MatterLinux system  |
| [Post-Installation](/wiki/post_install) | Make your system (somewhat) usable              |

## Packaging 
| Name                                          | Description                                                                |
| --------------------------------------------- | -------------------------------------------------------------------------- |
| [Releases](/wiki/releases)                    | Learn about MatterLinux release cycle                                      |
| [Packages](/wiki/packages)                    | Learn about MatterLinux packages                                           |
| [Pools](/wiki/pools)                          | Learn about MatterLinux package pools                                      | 
| [Mirrors](/wiki/mirrors)                      | Discover pool mirros and learn how you can setup your own                  |
| [Pool Guidelines](/wiki/pool_guides)          | Package guidelines for the official pools                                  |
| [Create a packages](/wiki/create_packages)    | Learn how you can create and add a package to the official repos           |
| [Working with mp](/wiki/mp)                   | Learn how to manage packages with MatterLinux package manager (`mp`)       |
| [Working with libmp](/wiki/libmp)             | Learn how to use the MatterLinux package library (`libmp`)                 |
| [Understanding MPTP](/wiki/mptp)              | Learn about MatterLinux package transfer protocol (MPTP)                   |
| [Working with mc](/wiki/mc)                   | Learn how to manage your configs MatterLinux configuration manager (`mc`)  |

## Other 
| Name                             | Description                                             |
| -------------------------------- | ------------------------------------------------------- |
| [Chat](/wiki/chat)               | Learn how you can contact developers and contributers   | 
| [Contributing](/wiki/contribute) | Learn how you can contribute to MatterLinux             | 
| [Bugs](/wiki/bugs)               | Learn how you can report bugs/issues                    | 
| [Licensing](/wiki/licensing)     | Licensing for the MatterLinux repositories and software | 
